AetherDependencyReport (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.maven.aether
[Groovy] Class AetherDependencyReport

    java.lang.Object
      org.codehaus.groovy.grails.resolve.maven.aether.AetherDependencyReport

All Implemented Interfaces:
  DependencyReport

    @groovy.transform.CompileStatic
    class AetherDependencyReport

Implementation of the DependencyReport interface that adapts Aether's PreorderNodeListGenerator

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`java.lang.Throwable` | `error`
`java.util.List` | `jarFiles`
`java.util.List` | `pluginZips`
`org.eclipse.aether.util.graph.visitor.PreorderNodeListGenerator` | `resolveResult`
`java.lang.String` | `scope`

Constructor Summary
`AetherDependencyReport(org.eclipse.aether.util.graph.visitor.PreorderNodeListGenerator resolveResult, java.lang.String scope)`
`AetherDependencyReport(org.eclipse.aether.util.graph.visitor.PreorderNodeListGenerator resolveResult, java.lang.String scope, java.lang.Throwable error)`

Method Summary
`java.util.List` | `getAllArtifacts()`
`java.lang.String` | `getClasspath()`
`java.io.File[]` | `getFiles()`
`java.lang.Throwable` | `getResolveError()`
`java.util.List` | `getResolvedArtifacts()`
`java.lang.String` | `getScope()`
`boolean` | `hasError()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### error

    java.lang.Throwable error

### jarFiles

    java.util.List jarFiles

### pluginZips

    java.util.List pluginZips

### resolveResult

    org.eclipse.aether.util.graph.visitor.PreorderNodeListGenerator resolveResult

### scope

    java.lang.String scope

Constructor Detail

### AetherDependencyReport

    AetherDependencyReport(org.eclipse.aether.util.graph.visitor.PreorderNodeListGenerator resolveResult, java.lang.String scope)

### AetherDependencyReport

    AetherDependencyReport(org.eclipse.aether.util.graph.visitor.PreorderNodeListGenerator resolveResult, java.lang.String scope, java.lang.Throwable error)

Method Detail

### getAllArtifacts

    @java.lang.Override
    java.util.List getAllArtifacts()

### getClasspath

    java.lang.String getClasspath()

### getFiles

    java.io.File[] getFiles()

### getResolveError

    @java.lang.Override
    java.lang.Throwable getResolveError()

### getResolvedArtifacts

    java.util.List getResolvedArtifacts()

### getScope

    @java.lang.Override
    java.lang.String getScope()

### hasError

    @java.lang.Override
    boolean hasError()

Groovy Documentation